exclude: ".venv|__pycache__|tests/dev/|tests/fixtures/"

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: check-added-large-files
        args:
          - --maxkb=500
      - id: check-case-conflict
      - id: check-toml
      - id: check-xml
      - id: check-yaml
      - id: detect-private-key
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: fix-encoding-pragma
        args:
          - --remove
      - id: trailing-whitespace
        args:
          - --markdown-linebreak-ext=md

  - repo: https://github.com/charliermarsh/ruff-pre-commit
    rev: "v0.7.2"
    hooks:
      - id: ruff
        args:
          - --fix-only
          - --target-version=py39

  - repo: https://github.com/python/black
    rev: 24.10.0
    hooks:
      - id: black
        args:
          - --target-version=py39

  - repo: https://github.com/pycqa/isort
    rev: 5.13.2
    hooks:
      - id: isort
        args:
          - --profile
          - black
          - --filter-files

  - repo: https://github.com/pycqa/flake8
    rev: 7.1.1
    hooks:
      - id: flake8
        files: ^plui_versionning/.*\.py$
        additional_dependencies: ["flake8-qgis<2"]
        args:
          [
            "--config=setup.cfg",
            "--select=E9,F63,F7,F82,QGS101,QGS102,QGS103,QGS104,QGS106",
          ]
